#_preseed_V1

# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-05-05; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.live.builder.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024â€"2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.live.builder
# SPDX-Security-Contact: security@coresecret.eu

# https://d-i.debian.org/doc/internals/
# https://d-i.debian.org/doc/internals/ch02.html
# https://preseed.debian.net/debian-preseed/
# https://preseed.debian.net/debian-preseed/bookworm/amd64-main-full.txt
# https://wiki.debian.org/DebianInstaller/Preseed
# https://wiki.debian.org/RepackBootableISO
# https://www.debian.org/releases/stable/amd64/apb.en.html
# file:///lib/partman/recipes-amd64-efi/

###########################################################################################
# debconf-set-selections -c preseed.cfg # checked                                         #
###########################################################################################
# Preseeded encrypted partitions need to use LVM:                                         #
# https://www.linuxjournal.com/content/preseeding-full-disk-encryption                    #
###########################################################################################
# d-i preseeding is inherently not secure. Nothing in the installer checks for attempts   #
# at buffer overflows or other exploits of the values of a # preconfiguration file like   #
# this one. Only use preconfiguration files from # trusted locations! To drive that home, #
# and because it's generally useful, here's a way to run any shell command you'd like     #
# inside the installer, automatically.                                                    #
###########################################################################################
# Sequence of execution:                                                                  #
###########################################################################################
# d-i preseed/include_command                                                             #
# This command is executed first and dynamically loads additional preseeding settings     #
# before further configuration steps start. This makes it possible for all settings       #
# downloaded or generated by this command to be available early and influence other       #
# preseeding commands or partitioning steps.                                              #
###########################################################################################
# d-i preseed/early_command                                                               #
# After running include_command, preseed/early_command is executed. This command is often #
# used to apply custom tweaks or settings just before partitioning.                       #
###########################################################################################
# d-i partman/early_command                                                               #
# This is run immediately before the partitioning process (Partman) is started and is     #
# used to perform system- or volume-specific settings or checks.                          #
###########################################################################################
# Remaining configuration and installation                                                #
# After these early commands, all further installation and configuration steps specified  #
# in the preseed file follow.                                                             #
###########################################################################################
d-i preseed/include string     \
/preseed/.cfg/apt.cfg          \
/preseed/.cfg/base.cfg         \
/preseed/.cfg/finished.cfg     \
/preseed/.cfg/firmware.cfg     \
/preseed/.cfg/grub.cfg         \
/preseed/.cfg/locale.cfg       \
/preseed/.cfg/modules.cfg      \
/preseed/.cfg/network.cfg      \
/preseed/.cfg/packages.cfg     \
/preseed/.cfg/partitioning.cfg \
/preseed/.cfg/security.cfg     \
/preseed/.cfg/software.cfg     \
/preseed/.cfg/ssh.cfg          \
/preseed/.cfg/time.cfg         \
/preseed/.cfg/user.cfg

#BOH
d-i preseed/include/checksum string \
336de475a23be401db656485fe2134e5 \
9b2768bf48aada9e1fc33cfe94571826 \
95c0feba9a9ed2a1f3d86cc2bf1910f8 \
bccbc23588d19b3057e4b4915b03538b \
d80da843499d8d797703b8aef2bf28d5 \
e876c113af0630f113811e5bade71b06 \
2b85692b087100a0535fe8711cdbcb63 \
1c0c74ed939c34d620bde9b8f1a91a1c \
da7738a8db3d4e2c220bf3f5b3e50dcb \
5dff498042e3d095a792951ba1bd9d2f \
7f71ea76c629c4e4f0ab2f9a6c8b28ea \
8e6b49c07d678060b661f7dd2fad6f39 \
f526221c741e4e2c5090f2ff60e53d62 \
1ffc41f4c70be83fd6524262494bdf11 \
67b9d1aa4bb4a4b8610ca42fa45521cf
#EOH

d-i debconf/priority string critical
popularity-contest popularity-contest/participate boolean false

###########################################################################################
# This command is executed first and dynamically loads additional preseeding settings     #
# before further configuration steps start.                                               #
###########################################################################################
d-i preseed/include_command string sh /preseed/.ash/0_di_preseed_include_command.sh

###########################################################################################
# This first command is run as early as possible, just after preseeding is read.          #
###########################################################################################
d-i preseed/early_command string sh /preseed/.ash/1_di_preseed_early_command.sh

###########################################################################################
# This command is run just before the install finishes, but when there is still a usable  #
# /target directory. You can chroot to /target and use it directly or use the apt-install #
# and in-target commands to easily install packages and run commands in the target system.#
###########################################################################################
d-i preseed/late_command string sh /preseed/.ash/3_di_preseed_late_command.sh


# Please consider donating to my work at: https://coresecret.eu/spenden/
###########################################################################################
# Written by: ./preseed_hash_generator.sh Version: Master V8.13.404.2025.11.10 at: 10:18:37.9542
